[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [avrdude-dev] JTAGICEII on CAN128

From: Joerg Wunsch
Subject: Re: [avrdude-dev] JTAGICEII on CAN128
Date: Sun, 2 Jul 2006 23:16:02 +0200
User-agent: Mutt/1.5.11

As Odd Arild Olsen wrote:

> > > Now, I remember that AVRStudio also downloaded a firmware update
> > > to my JTAG-programmer. Can the origin of my problem be some
> > > small protocol change that avrdude has not adopted to yet?

I wouldn't expect that, at least I'm not aware of anything.  There
were a number of incompatible changes in the early days of Atmel's
JTAG ICE mkII, but they manifested itself by the ICE unwilling to
accept the device descriptor.  This wasn't an issue for AVR Studio
itself, as it always insists on the ICE being upgraded to the firmware
matching AVR Studio.  Being a third-party vendor utility, AVRDUDE (or
AVaRICE, for that matter) cannot insist on a particular firmware
revision, so they try do adapt their habit.  The device descriptor
will be shortened to its previous form when a firmware revision below
4.x is detected.  If the (slave MCU) firmware revision is below 3.16,
a warning is printed that it might not work correctly.

Starting with 4.00, I'm not aware of any incompatible changes within
their firmware.

> avrdude -v says 5.0

It's always worth a try to use the latest version (5.1 or 5.1cvs).

cheers, J"org               .-.-.   --... ...--   -.. .  DL8DTL

http://www.sax.de/~joerg/                        NIC: JW11-RIPE
Never trust an operating system you don't have sources for. ;-)

reply via email to

[Prev in Thread] Current Thread [Next in Thread]